////////////////////////////////////////////////////////////////////////////////
// Copyright (C) 2008-2016 HiTi Digital, Inc.  All Rights Reserved.
//
// Revision: 1.7.11.1100
// Date    : 2016.02.03
//
////////////////////////////////////////////////////////////////////////////////
// Demo1Dlg.h : header file
//

#if !defined(AFX_DEMO1DLG_H__B02620F8_1237_4E3B_996D_2815A95DBE11__INCLUDED_)
#define AFX_DEMO1DLG_H__B02620F8_1237_4E3B_996D_2815A95DBE11__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


/////////////////////////////////////////////////////////////////////////////
// CDemo1Dlg dialog

class CDemo1Dlg : public CDialog
{
// Construction
public:
	CDemo1Dlg(CWnd* pParent = NULL);	// standard constructor

	DWORD		EnumSupportedPrinters();

	void		GetSelectedPrinter(LPTSTR szPrinterName);

// Dialog Data
	//{{AFX_DATA(CDemo1Dlg)
	enum { IDD = IDD_DEMO1_DIALOG };
	CStatic	m_StaticCardSerial;
	CComboBox	m_ComboScardReader;
	CComboBox	m_ComboSymlink;
	CIPAddressCtrl	m_IPaddr;
	CComboBox	m_ComboPrinter;
	BOOL	m_bT1;
	BOOL	m_bT2;
	BOOL	m_bT3;
	BOOL	m_bFlag1;
	BOOL	m_bFlag2;
	BOOL	m_bFlag3;
	int		m_nRibbonType;
	int		m_nCardType;
	CString	m_Bmp24Name;
	CString	m_T1;
	CString	m_T2;
	CString	m_T3;
	int		m_nCoercivity;
	BOOL	m_bFlag4;
	BOOL	m_bShowStep;
	int		m_nLoop;
	CString	m_Bmp24Name2;
	CString	m_BmpOName;
	CString	m_BmpKName;
	CString	m_BmpKName2;
	CString	m_BmpOName2;
	CString	m_SymbolicLink;
	CString	m_PrinterName;
	CString	m_ScardReaderName;
	int		m_nConnectType;
	int		m_nMoveCardPosition;
	BOOL	m_bY1;
	BOOL	m_bY2;
	BOOL	m_bK1;
	BOOL	m_bK2;
	BOOL	m_bO1;
	BOOL	m_bO2;
	int		m_nRfidPort;
	int		m_nOrientation;
	int		m_nFrontSide;
	int		m_nBackSide;
	BYTE	m_byStandbyPos;
	BYTE	m_byStandbyTime;
	BOOL	m_bFlag6;
	int		m_nInfoType;
	BOOL	m_bTransparentCard;
	int		m_nCommand;
	BOOL	m_bF1;
	BOOL	m_bF2;
	CString	m_BmpFName;
	CString	m_BmpFName2;
	BOOL	m_bFlag5;
	long	m_nLeft;
	long	m_nTop;
	long	m_nRight;
	long	m_nBottom;
	BOOL	m_bFlagNotOvercoat;
	BOOL	m_bCS290AsCS230;
	UINT	m_uiRetryDcm;
	UINT	m_uiTimeOutDcm;
	//}}AFX_DATA

	BOOL	m_bCipherMode;

	int m_nCurHeight;
	int m_nScrollPos;
	CRect m_rect;


	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDemo1Dlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	virtual LRESULT WindowProc(UINT message, WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CDemo1Dlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnBtnCheckStatus();
	afx_msg void OnSelchangeComboPrinter();
	afx_msg void OnBtnGetDeviceInfo();
	afx_msg void OnBtnSetPasswd();
	afx_msg void OnBtnSetSecurityMode();
	afx_msg void OnBtnMoveCard();
	afx_msg void OnBtnReadSle4428();
	afx_msg void OnBtnWriteSle4428();
	afx_msg void OnBtnWriteMagTrackData();
	afx_msg void OnBtnReadMagTrackData();
	afx_msg void OnBtnDirectPrint();
	afx_msg void OnBtnRfidGetCardSerial();
	afx_msg void OnBtnPrintByDriver();
	afx_msg void OnBtnSetStandbyParameter();
	afx_msg void OnBtnDoCommand();
	afx_msg void OnBtnSavePrinterSettingToFile();
	afx_msg void OnBtnApplyPrinterSettingFromFile();
	afx_msg void OnBtnEraseCard();
	afx_msg void OnBtnQueryIOValue();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnCheck290As230();
	afx_msg void OnBUTTONCS290eMODE1();
	afx_msg void OnBUTTONCS290eMODE0();
	afx_msg void OnBttnDcm();
	//}}AFX_MSG
	afx_msg void OnSelectBmpFile(UINT);
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DEMO1DLG_H__B02620F8_1237_4E3B_996D_2815A95DBE11__INCLUDED_)
